Skip to main content
PUT
/
api
/
agents
/
{agent_id}
Update Agent
curl --request PUT \
  --url https://api.getello.ai/api/agents/{agent_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
import requests

url = "https://api.getello.ai/api/agents/{agent_id}"

payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.getello.ai/api/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "Assistant (simple) updated successfully",
  "data": {
    "_id": "69cf92ec643b415327cab0ae",
    "workspaceId": "6970c2f3948cfbce1932d99d",
    "userId": "6970c2f3948cfbce1932d99c",
    "name": "testing Agent",
    "type": "inbound",
    "category": [
      "general"
    ],
    "description": "AI assistant for voice calls",
    "voiceConfig": {
      "provider": "elevenlabs",
      "model": "eleven_flash_v2_5"
    },
    "aiModel": {
      "provider": "openai",
      "model": "gpt-4o"
    },
    "llmConfig": {
      "provider": "openai_responses",
      "model": "gpt-4o"
    },
    "status": true,
    "createdAt": "2026-04-03T10:14:04.349000",
    "updatedAt": "2026-04-03T10:32:17.062000"
  }
}
{
"status": 400,
"message": "Invalid request. Please check your input."
}
{
"status": 401,
"message": "Unauthorized access. Please provide valid credentials."
}
{
"status": 404,
"message": "Resource not found."
}
{
"status": 500,
"message": "Something went wrong. Please try again later."
}

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string
required

Body

application/json
type
enum<string>
required
Available options:
inbound,
outbound,
chat,
hybrid
Example:

"inbound"

workspaceId
string
Example:

"6970c2f3948cfbce1932d99d"

name
string
Example:

"Updated Agent"

category
string
Example:

"general"

description
string
Example:

"AI assistant for voice calls"

image
string
Example:

"1"

features
string[]
Example:
[]
popularity
integer
Example:

0

voiceConfig
object
aiModel
object
llmConfig
object
sttConfig
object
voicemailConfig
object
backChannelConfig
object
timeoutConfig
object
callConfig
object
fillerWords
boolean
Example:

false

customVocabulary
string[]
Example:
[]
timezone
string
Example:

"Asia/Kolkata"

greeting
string
Example:

"Hi! How can I assist you today?"

prompt
string
Example:

"You are a helpful AI assistant focused on providing accurate and friendly responses."

knowledgeBases
string[]
Example:
[]
actions
string[]
Example:
[]
deployment
object
stats
object
templateCategory
string | null
Example:

null

industry
string | null
Example:

null

Example:
[]
localisedPrompt
string
Example:

"Localized prompt text"

multiLingual
boolean
Example:

false

primaryLanguage
string
Example:

"en"

secondaryLanguages
string[]
Example:
["hi"]
dynamic_variables
string[]
Example:
[]
status
boolean
Example:

true

Response

Agent updated successfully

status
integer
Example:

200

message
string
Example:

"Assistant (simple) updated successfully"

data
object
Example:
{
"_id": "69cf92ec643b415327cab0ae",
"workspaceId": "6970c2f3948cfbce1932d99d",
"userId": "6970c2f3948cfbce1932d99c",
"name": "testing Agent",
"type": "inbound",
"category": ["general"],
"description": "AI assistant for voice calls",
"voiceConfig": {
"provider": "elevenlabs",
"model": "eleven_flash_v2_5"
},
"aiModel": { "provider": "openai", "model": "gpt-4o" },
"llmConfig": {
"provider": "openai_responses",
"model": "gpt-4o"
},
"status": true,
"createdAt": "2026-04-03T10:14:04.349000",
"updatedAt": "2026-04-03T10:32:17.062000"
}